<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title>TEST</title>

  </head>
  <body>


    <button type="button" onclick="myFunction()">CLICK</button>

    <p id="demo"></p>

    <script>
  async function myFunction() {
    var x= await fetch('http://localhost:4000/', {
       method: 'POST',
       headers: { 'Content-Type': 'application/json' },
       body: JSON.stringify({ query: `{artists{
       id
       name
       album{
         id
         name
         date_released
         tracks{
           id
           name
         }
         genres{
           id
           info
         }
       }
     }
   }` }),
 }).then(  res => res.json()).then(  res => JSON.stringify(res))
 document.getElementById("demo").innerHTML=x
 return document.getElementById("demo").innerHTML
    }

    </script>

  </body>
</html>
